<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * search class
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Services
 * @package    Services_Hatena
 * @author     gooooooogle
 * @copyright  2006 gooooooogle
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id$
 */

/**
 * @class Services_Hatena_search
 *
 * This is search class.
 *
 * @category   Services
 * @package    Services_Hatena
 * @author     gooooooogle
 * @copyright  2006 gooooooogle
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id$
 */
class Services_Hatena_search extends Services_Hatena_base {
    protected $osxml_url = "http://search.hatena.ne.jp/osxml";
    protected $os     = null;

    /**
     * @fn Services_Hatena_search
     * @brief constructer for Services_Hatena_search class
     *
     * @access  public
     */
    public function Services_Hatena_search() {
        require_once 'Services/OpenSearch.php';
        $this->os = new Services_OpenSearch($this->osxml_url);
    }

    /**
     * @fn execute
     * @brief search with OpernSearch
     *
     * @access  public
     * @return  array search result
     */
    public function execute($keyword) {
        $this->result = $this->os->search($keyword);
        return $this->getResult();
    }
}
